import pytest

from all_backend_api.janus_request import janus_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestBeautyCardRefundInfo:
    data = BaseRequest().api_load(path_setting.BEAUTY_CARD_REFUND_INFO)
    beauty_card_refund_info_case, beauty_card_refund_info_data = get_ids(data, "beauty_card_refund_info")

    @pytest.mark.parametrize("param", beauty_card_refund_info_data, ids=beauty_card_refund_info_case)
    def test_beauty_card_refund_info(self, param):
        r = janus_request().beauty_card_refund_info(param["order_id"])

        if r["error"] == 0:
            assert r["error"] == param["assert_error"]

